#include <sys/types.h>

#include <stdint.h>
#include <string.h>

#include "blake2.h"
#include "dedup.h"

int
none_init(struct compr_ctx *ctx)
{
	return 0;
}

size_t
none_size(struct compr_ctx *ctx, size_t n)
{
	return n;
}

size_t
none_compr(struct compr_ctx *ctx, const void *in, void *out,
           size_t insize, size_t outsize)
{
	memcpy(out, in, insize);
	return insize;
}

size_t
none_decompr(struct compr_ctx *ctx, const void *in, void *out,
             size_t insize, size_t outsize)
{
	memcpy(out, in, insize);
	return insize;
}

int
none_final(struct compr_ctx *ctx)
{
	return 0;
}
